#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		itinerary
Version: 20.12.0
Release:	%mkrel %{rel}
Summary:	Itinerary display application
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-macros

BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Location)
BuildRequires:	cmake(Qt5Positioning)
BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5QuickCompiler)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Contacts)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Holidays)
BuildRequires:	cmake(KF5NetworkManagerQt)
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Kirigami2)
BuildRequires:	cmake(KF5Prison)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5Solid)

BuildRequires:	cmake(KPimPkPass)
BuildRequires:	cmake(KPimItinerary)
BuildRequires:	cmake(KPublicTransport)
BuildRequires:	cmake(KOSMIndoorMap)

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(zlib)

%description
Itinerary and boarding pass management application.

%files -f kde-itinerary.lang
%{_kf5_categoriesdir}/org_kde_itinerary.categories
%{_kf5_bindir}/itinerary
%{_kf5_libdir}/libSolidExtras.so
%{_kf5_qmldir}/org/kde/solidextras/libsolidextrasqmlplugin.so
%{_kf5_qmldir}/org/kde/solidextras/qmldir
%{_kf5_applicationsdir}/org.kde.itinerary.desktop
%{_kf5_iconsdir}/hicolor/*/*/itinerary.*
%{_kf5_knotificationsdir}/itinerary.notifyrc
%{_kf5_metainfodir}/org.kde.itinerary.appdata.xml

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang kde-itinerary


%changelog
* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657139
- initial package itinerary

